#include <bits/stdc++.h>
using namespace std;
int a[200005];
int b[200005];
int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int n;
    cin>>n;
    int najveci=0;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    for(int i=0; i<n; i++)
    {
        cin>>b[i];
        if(b[i]>najveci)
            najveci=b[i];
    }
    cout<<najveci<<endl;
    return 0;
}